OpenVDB 11.0.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Divergence< TranslationMap, DiffScheme > Struct Template Reference

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions
template<typename Accessor >
static Accessor::ValueType::value_type | result (const TranslationMap &, const Accessor &grid, const Coord &ijk)
template<typename StencilT >
static StencilT::ValueType::value_type | result (const TranslationMap &, const StencilT &stencil)

## Detailed Description

template<DScheme DiffScheme>
struct openvdb::v11_0::math::Divergence< TranslationMap, DiffScheme >

Partial template specialization of Divergence translation, any scheme

## Member Function Documentation

## ◆ result() [1/2]

template<DScheme DiffScheme>
template<typename Accessor >

static Accessor::ValueType::value_type result | ( | const TranslationMap & | ,
|  | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ result() [2/2]

template<DScheme DiffScheme>
template<typename StencilT >

static StencilT::ValueType::value_type result | ( | const TranslationMap & | ,
|  | const StencilT & | stencil
| ) |  |
| inline static